\documentclass{article}


\usepackage[top=1in, bottom=1in, left=1in, right=1in]{geometry}

%\usepackage{comment}

\usepackage{graphicx}
\usepackage{color}
\usepackage{algorithm}
\usepackage[noend]{algorithmic}
\usepackage{pdfpages}
\usepackage{authblk,tikz}
%%%%%%%%%%%%%%%%%%% 

\usepackage{amsmath,amsthm}
\usepackage{amssymb}
\usepackage{latexsym}
\usepackage{array}
\usepackage{stmaryrd}
\usepackage{paralist}
\usepackage{graphicx} % allow images
%\usepackage{subcaption}
\usepackage{xspace}
\usepackage{url}
\usepackage{tabulary,booktabs,multirow}
\usepackage{algorithm, algorithmic}
\usepackage{tikz}
\usepackage{footnote}
\usepackage{subfig}
\usepackage[shortlabels]{enumitem}
\setlist{nolistsep}

\usepackage{xcolor}

\usepackage[utf8]{inputenc}  
\usepackage[T1]{fontenc}
\usepackage[english]{babel}

\usepackage[utf8]{inputenc}  
\usepackage[T1]{fontenc}
\usepackage[english]{babel}
\usepackage[normalem]{ulem}

\newcommand{\etal}{\emph{et al.}\xspace}
\newcommand{\ie}{\emph{i.e.}\xspace}
\newcommand{\eg}{\emph{e.g.}\xspace}
\newcommand{\wrt}{\emph{w.r.t.}\xspace}

\newcommand{\TODO}[1]{{\color{red} {#1}}}

\usepackage{xparse}

\input{macros-abs.sty}

\begin{document}

\section*{Structural biology context to Graph Model}

\paragraph*{Structural modeling of macromolecular assemblies.}

All biological phenomena (cognition, immune response, metabolism, etc)
are based on structural description of macromolecular assemblies (MA):
complexes of interacting molecules (subunit), namely proteins or
nucleic acids~\cite{fersht1999structure}.  As conveyed by the
simplistic {\em lock-and-key} model, the association of two or more
molecules forming a complex requires these partners to be
complementary. In fact, structural studies of molecules are carried
out under the {\em structure-dynamics-function paradigm}, as it is the
structure and the dynamics of molecules which explain biological
functions.  \toblue However, while genome sequencing projects have
produced hundreds of millions of genes, there are only of the order of
$10^5$ structures in the Protein Data Bank
(\url{https://www.rcsb.org/}).  Thus, little is known in terms of
macro-molecular interactions, at the structural level.
%%
Structures of molecules and complexes may be ascribed to two levels of
resolution. At low resolution, the only information available may
consists of the pairwise interactions of the subunits in the MA.  A
higher resolution, the relative position and orientation of the
individual subunits may be known. Such models culminate with atomic
resolution models, where individual atomic positions are known
precisely.
%%
Because each atom has three Cartesian coordinates, such systems
involve hundreds of thousands of degrees of freedom. This high
dimensionality is naturally very challenging from the modeling
standpoint.
%%
Structure determination is equally challenging from the experimental /
structural biology standpoint.  There are a number of experimental
techniques which help providing structural information both at low and
high resolution.
%%
We now discuss them  in the context of low and high resolution models.

%% typically, individual subunits, complexes of subunits; or positions of
%% each subunits) but then, they face limitations yielding respectively:
%% low resolution information for the whole assembly; or high resolution
%% models of subunits.

\paragraph*{Low resolution problem.}
Native mass spectrometry is an experimental technique well suited
to gather low resolution information.
%%
Assume that the composition of a MA, in terms of individual subunits,
is known.  A given assembly can be chemically split into complexes by
manipulating chemical conditions, and measuring the mass of these
complexes makes it possible to infer which subunits participate to
each complex.
%%
In this context, the \textsc {Connectivity Inference} (CI)
problem~\cite{ACCC15} aims at inferring plausible pairwise contacts
between subunits in the MA, given the composition (in terms of
subunits) of the individual complexes.  Additional biological
constraints can also be incorporated~\cite{CHM+19,caldam}.\toblack  This
problem can be conveniently modeled by graphs and hypergraphs.
\toblack We consider the hypergraph $H$ whose vertices represent the
subunits and whose hyperedges are the complexes. We are then looking
for a graph $G$ with the same vertex set as $H$ whose edges represent
the contacts between subunits, and satisfying some properties based on
biological structure constraints.  Solving \textsc {Connectivity
  Inference} yields an {\em interaction graph} $G = (V,E)$ that
represents the macromolecular assembly.  The vertices are the subunits
(e.g. proteins) and the edges are the (plausible) connections between
subunits. However, such a graph falls short from providing
high-resolution information.

\toblue
\paragraph*{High resolution problem.} 
The main techniques to gather high resolution information are X ray
crystallography, nuclear magnetic resonance (NMR), an elite club
recently joined by cryo-electron microscopy.  These techniques usually
deliver static snapshots of molecules and complexes.  Therefore,
understanding dynamic processes requires building and animate models from these
static complexes.
%%
A convenient way to do so consists of synergizing two types of models,
namely a low resolution model for a MA, and high resolution (atomic)
models for its subunits.  Assume that the low resolution model
provides the interaction graph of its subunits. Also assume that a
finite set of high resolution conformations has been computed for each
of the individual subunits.
%%
A route of choice to build a high resolution model of the MA consists
of choosing and assembling individual conformations for each
subunit. In doing so, we assume that a {\em scoring function}
assessing the quality of the contact between two subunits positioned
in the assembly is available.
%%
%%
This problem was formalized using Discrete Optimization of Multiple
INteracting Objects (\textsc{Domino}) in \cite{lasker2009inferential},
so as to pick positions for the subunits maximizing a global utility
function.
\toblack
Indeed, the higher the score, the better connection of an
assembly in global. A way to see this as a graph problem is using
coloring where a set of conformations for each subunit is represented
as a color set of the corresponding vertex in the interaction
graph. We are given a graph, each vertex $v$ receives a set of
possible colors $C(v)$, and a function $w$ that assigns a weight
$w((u,i),(v,j)) $ in $\mathbb{R} \cup \{-\infty\}$, for each edge
$uv\in E(G)$, and every pair of colors $i \in C(v), j \in
C(u)$. Hence, for each coloring of the graph, every edge is assigned a
weight, and the \textsc{Domino} problem consists in deciding whether
there exists a coloring of $G$ which satisfies some properties.

\bibliographystyle{alpha}
\bibliography{refs}
\end{document}
